{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/bdbs/syncer_state/crdt",
  "title": "CRDT syncer state requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/bdbs/syncer_state/crdt/",
  "summary": "CRDT syncer state requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2024-11-12T09:34:06-06:00",
  "page_type": "content",
  "content_hash": "1f01c04dcda87f5f453972d8cbd9133e1508cd96629b5e5659eb32ebd8b83aed",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [GET](#get-syncer-state) | `/v1/bdbs/{uid}/syncer_state/crdt` |  Get a CRDB's syncer state |"
    },
    {
      "id": "get-syncer-state",
      "title": "Get CRDB syncer state",
      "role": "content",
      "text": "[code example]\n\nGet a CRDB's syncer state as JSON."
    },
    {
      "id": "permissions",
      "title": "Permissions",
      "role": "security",
      "text": "| Permission name | Roles   |\n|-----------------|---------|\n| [view_bdb_info](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_bdb_info) |  admin<br />cluster_member<br />cluster_viewer<br />db_member<br />db_viewer<br />user_manager|"
    },
    {
      "id": "get-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n[code example]\n\n#### Headers\n\n| Key | Value |\n|-----|-------|\n| Host | The domain name or IP of the cluster. |\n| Accept | application/json |\n\n#### URL parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| uid | integer | The unique ID of the database requested. |"
    },
    {
      "id": "get-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns a JSON object that represents the syncer state.\n\n#### Example JSON body\n\n[code example]\n\n#### Status codes {#get-status-codes}\n\n| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | OK |\n| [404 Not Found](https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Syncer state key does not exist |\n| [500 Internal Server Error](https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.1) | Internal error |\n| [503 Service Unavailable](https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.4) | Redis connection error, service unavailable |"
    }
  ],
  "examples": [
    {
      "id": "get-syncer-state-ex0",
      "language": "sh",
      "code": "GET /v1/bdbs/{int: uid}/syncer_state/crdt",
      "section_id": "get-syncer-state"
    },
    {
      "id": "get-request-ex0",
      "language": "sh",
      "code": "GET /v1/bdbs/1/syncer_state/crdt",
      "section_id": "get-request"
    },
    {
      "id": "get-response-ex0",
      "language": "json",
      "code": "{\n    \"DB\": 22,\n    \"RunID\": 1584086516,\n    // additional fields...\n}",
      "section_id": "get-response"
    }
  ]
}
